=== src/examples/acl/Makefile ===
# Skinny Makefile for acl
PROGNAME = acl
C_FILES = acl.c

_DIRSRC=../..
.include "${_DIRSRC}/Makefile.inc"
