=== src/examples/cidrcalc/Makefile ===
# Skinny Makefile
PROGNAME = cidrcalc
C_FILES = cidrcalc.c

_DIRSRC=../..
.include "${_DIRSRC}/Makefile.inc"
