=== src/test/compare/Makefile ===
# Skinny Makefile
PROGNAME = cidr_compare
C_FILES = compare.c

_DIRSRC=../..
.include "${_DIRSRC}/Makefile.inc"
