=== src/test/inaddr/Makefile ===
# Skinny Makefile
PROGNAME = cidr_inaddr
C_FILES = inaddr.c

_DIRSRC=../..
.include "${_DIRSRC}/Makefile.inc"
