=== src/test/kids/Makefile ===
# Skinny Makefile
PROGNAME = cidr_kids
C_FILES = kids.c

_DIRSRC=../..
.include "${_DIRSRC}/Makefile.inc"
