=== src/test/mkstr/Makefile ===
# Skinny Makefile
PROGNAME = cidr_mkstr
C_FILES = mkstr.c

_DIRSRC=../..
.include "${_DIRSRC}/Makefile.inc"
