=== src/test/netbc/Makefile ===
# Skinny Makefile
PROGNAME = cidr_netbc
C_FILES = netbc.c

_DIRSRC=../..
.include "${_DIRSRC}/Makefile.inc"
