=== debian/changelog ===
libcidr (1.2.3-3) unstable; urgency=low

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Santiago Ruano Rincón ]
  * debian/libcidr-dev.docs: Remove docs from -dev package to make it
    Multi-Arch: same (Closes: #897340)
  * Bump Standards-Version to 4.3.0
  * Add debian/patches/hardening-buildflags.patch: respect CPPFLAGS and
    LDFLAGS environment variables

 -- Santiago Ruano Rincón <santiagorr@riseup.net>  Tue, 26 Feb 2019 10:41:43 +0100

libcidr (1.2.3-2) unstable; urgency=low

  * debian/control: use my email address for Maintainer. I will switch it back
    to libcidr package maintainers <libcidr@packages.debian.org> once
    ftp-master get fixed

 -- Santiago Ruano Rincón <santiagorr@riseup.net>  Mon, 23 Oct 2017 15:10:50 +0200

libcidr (1.2.3-1) unstable; urgency=low

  * Initial release (Closes: #702773)

 -- Santiago Ruano Rincón <santiagorr@riseup.net>  Tue, 03 Oct 2017 14:15:58 +0200
