=== debian/control ===
Source: libcidr
Priority: optional
Maintainer: Santiago Ruano Rincón <santiagorr@riseup.net>
Build-Depends: debhelper (>= 9)
Standards-Version: 4.3.0
Section: libs
Homepage: https://www.over-yonder.net/~fullermd/projects/libcidr
Vcs-Git: https://salsa.debian.org/debian/libcidr.git
Vcs-Browser: https://salsa.debian.org/debian/libcidr

Package: libcidr-dev
Section: libdevel
Architecture: any
Depends: libcidr0 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: IP addresses and netblocks manipulation library
 libcidr is a C library implementing a variety of functions to
 manipulate IP addresses and netblocks. It handles both IPv4 and IPv6
 networks, will transform them to and from text strings in a variety of
 formats, cram them into and lever them out of in_addr and in6_addr
 structures, and give you all sorts of stats about them.
 Functions are provided also to tell you a few things about the network
 any given CIDR block is in, what its parent and child networks are, and
 so on. If you're really nice, may even cook you breakfast.
 .
 This package contains include files and development documentation.

Package: libcidr0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: IP addresses and netblocks manipulation library
 libcidr is a C library implementing a variety of functions to
 manipulate IP addresses and netblocks. It handles both IPv4 and IPv6
 networks, will transform them to and from text strings in a variety of
 formats, cram them into and lever them out of in_addr and in6_addr
 structures, and give you all sorts of stats about them.
 Functions are provided also to tell you a few things about the network
 any given CIDR block is in, what its parent and child networks are, and
 so on. If you're really nice, may even cook you breakfast.
 .
 This package contains the shared runtime library.
